Bug 53983 - System hangs without any human intervention
System hangs without any human intervention
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-24 18:11 EDT by bao
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-02 19:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bao 2001-09-24 18:11:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
System is intended to be a server, and has been preserved "clean". After 
Apache, sendmail, samba have been configured, it is put into service. It 
has been running fine until recently. Problem usually occurs during night-
time (probably when it is idle). The system would just freeze. The next 
morning, it is seen as: blank screen (no icons, mouse etc.), cannot 
restore to normal screen, Pressing keyboard or using mouse does not have 
any effect, Pressing Ctrl+Atl+Delete does not restart it. The only way to 
restart is by pressing Reset button.
It seems to be caused by kswapd.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Happens suddenly twice already, one on early Thursday morning, the 
second on Saturday morning
2.
3.
	

Actual Results:  Have to restart manually using Reset button

Additional info:

Below is the log file containing the error messages.

# First crash

Sep 20 04:02:12 flounder kernel: Unable to handle kernel paging request at 
virtual address 00070029
Sep 20 04:02:12 flounder kernel:  printing eip:
Sep 20 04:02:12 flounder kernel: c0136b76
Sep 20 04:02:12 flounder kernel: pgd entry c3b49000: 0000000000000000
Sep 20 04:02:12 flounder kernel: pmd entry c3b49000: 0000000000000000
Sep 20 04:02:12 flounder kernel: ... pmd not present!
Sep 20 04:02:12 flounder kernel: Oops: 0000
Sep 20 04:02:12 flounder kernel: CPU:    0
Sep 20 04:02:12 flounder kernel: EIP:    0010:[sync_page_buffers+22/96]
Sep 20 04:02:12 flounder kernel: EIP:    0010:[<c0136b76>]
Sep 20 04:02:12 flounder kernel: EFLAGS: 00010203
Sep 20 04:02:12 flounder kernel: eax: 00000000   ebx: 00070001   ecx: 
00000058   edx: 00070001
Sep 20 04:02:12 flounder kernel: esi: c1e41aa0   edi: 00000001   ebp: 
00000000   esp: c1157f20
Sep 20 04:02:12 flounder kernel: ds: 0018   es: 0018   ss: 0018
Sep 20 04:02:12 flounder kernel: Process kswapd (pid: 3, 
stackpage=c1157000)
Sep 20 04:02:12 flounder kernel: Stack: 00070001 00000001 c025ad00 
c1e41aa0 c0136d0d c1e41aa0 00000001 00000003 
Sep 20 04:02:12 flounder kernel:        c2e61fbc c0113e4d 000000f1 
c012c96d 00000001 c10e3368 c1e41aa0 00000000 
Sep 20 04:02:12 flounder kernel:        c012c1fe c10e3368 00000001 
00000065 00000000 00000004 00000058 00000000 
Sep 20 04:02:12 flounder kernel: Call Trace: [try_to_free_buffers+333/384] 
[schedule+637/944] [free_shortage+29/160] [page_launder+1038/2512] 
[process_timeout+0/80] [free_shortage+29/160] 
[do_try_to_free_pages+53/128] 
Sep 20 04:02:12 flounder kernel: Call Trace: [<c0136d0d>] [<c0113e4d>] 
[<c012c96d>] [<c012c1fe>] [<c0113ab0>] [<c012c96d>] [<c012cb75>] 
Sep 20 04:02:12 flounder kernel:        [kswapd+112/272] 
[empty_bad_page+0/4096] [empty_bad_page+0/4096] [kernel_thread+38/48] 
[kswapd+0/272] 
Sep 20 04:02:12 flounder kernel:        [<c012cc30>] [<c0105000>] 
[<c0105000>] [<c0107576>] [<c012cbc0>] 
Sep 20 04:02:12 flounder kernel: 
Sep 20 04:02:12 flounder kernel: Code: 8b 5b 28 8b 42 18 a9 04 00 00 00 74 
0e 83 ff 01 7e 1d 52 e8 
Sep 20 04:02:12 flounder kernel: kernel BUG at exit.c:465!
Sep 20 04:02:12 flounder kernel: invalid operand: 0000
Sep 20 04:02:12 flounder kernel: CPU:    0
Sep 20 04:02:12 flounder kernel: EIP:    0010:[do_exit+560/576]
Sep 20 04:02:12 flounder kernel: EIP:    0010:[<c0118cd0>]
Sep 20 04:02:12 flounder kernel: EFLAGS: 00010282
Sep 20 08:41:36 flounder syslog 1.4-0: restart.



# Another crash

flounder kernel: kernel BUG at page_alloc.c:84!
Sep 22 04:02:03 flounder kernel: invalid operand: 0000
Sep 22 04:02:03 flounder kernel: CPU:    0
Sep 22 04:02:03 flounder kernel: EIP:    0010:[__free_pages_ok+77/944]
Sep 22 04:02:03 flounder kernel: EIP:    0010:[<c012d17d>]
Sep 22 04:02:03 flounder kernel: EFLAGS: 00010282
Sep 22 04:02:03 flounder kernel: eax: 0000001f   ebx: c109f1f8   ecx: 
00000000   edx: 00000000
Sep 22 04:02:03 flounder kernel: esi: c2c6d8e8   edi: c109f1d0   ebp: 
00000000   esp: c1157f34
Sep 22 04:02:03 flounder kernel: ds: 0018   es: 0018   ss: 0018
Sep 22 04:02:03 flounder kernel: Process kswapd (pid: 3, 
stackpage=c1157000)
Sep 22 04:02:03 flounder kernel: Stack: c0210f3b c0211109 00000054 
c1157f84 c1714ba0 00000116 c012c96d 00000000 
Sep 22 04:02:03 flounder kernel:        00000000 c109f1f8 c109f1d0 
00000002 00000000 c012c438 00000014 00000000 
Sep 22 04:02:03 flounder kernel:        00000004 00000000 00000002 
00000000 00000012 00000000 00010f00 c111b0c0 
Sep 22 04:02:03 flounder kernel: Call Trace: [error_table+25635/44216] 
[error_table+26097/44216] [free_shortage+29/160] [page_launder+1608/2512] 
[free_shortage+29/160] [do_try_to_free_pages+53/128] [kswapd+112/272] 
Sep 22 04:02:03 flounder kernel: Call Trace: [<c0210f3b>] [<c0211109>] 
[<c012c96d>] [<c012c438>] [<c012c96d>] [<c012cb75>] [<c012cc30>] 
Sep 22 04:02:03 flounder kernel:        [empty_bad_page+0/4096] 
[empty_bad_page+0/4096] [kernel_thread+38/48] [kswapd+0/272] 
Sep 22 04:02:03 flounder kernel:        [<c0105000>] [<c0105000>] 
[<c0107576>] [<c012cbc0>] 
Sep 22 04:02:03 flounder kernel: 
Sep 22 04:02:03 flounder kernel: Code: 0f 0b 83 c4 0c 89 fa 8b 1d 8c db 2b 
c0 29 da 89 d0 c1 e0 04 
Sep 22 04:02:09 flounder kernel: kernel BUG at exit.c:465!
Sep 22 04:02:09 flounder kernel: invalid operand: 0000
Sep 22 04:02:09 flounder kernel: CPU:    0
Sep 22 04:02:09 flounder kernel: EIP:    0010:[do_exit+560/576]
Sep 22 04:02:09 flounder kernel: EIP:    0010:[<c0118cd0>]
Sep 22 04:02:09 flounder kernel: EFLAGS: 00010286
Sep 22 04:02:09 flounder kernel: eax: 0000001a   ebx: 00000000   ecx: 
fffffffe   edx: 00000000
Sep 22 04:02:09 flounder kernel: esi: c1156000   edi: 0000000b   ebp: 
00000000   esp: c1157e14
Sep 22 04:02:09 flounder kernel: ds: 0018   es: 0018   ss: 0018
Sep 22 04:02:09 flounder kernel: Process kswapd (pid: 3, 
stackpage=c1157000)
Sep 22 04:02:09 flounder kernel: Stack: c020d3bb c020d512 000001d1 
00000000 c0109549 c0205d37 c0205e6d c1157f00 
Sep 22 04:02:09 flounder kernel:        00000000 c0109790 c0109810 
0000000b c1157f00 00000000 00000000 c0189f0b 
Sep 22 11:55:25 flounder syslogd 1.4-0: restart.

Note You need to log in before you can comment on or make changes to this bug.